Upload an image
curl --request POST \
--url https://api.bitstudio.ai/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form type=virtual-try-on-outfitimport requests
url = "https://api.bitstudio.ai/images"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "type": "virtual-try-on-outfit" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('type', 'virtual-try-on-outfit');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.bitstudio.ai/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "11111111-1111-4111-8111-111111111111",
"status": "completed",
"path": "https://media.bitstudio.ai/public/homepage/2026-09/bitstudio-shirt-reference-front-v1-77caf2ea41d661e4.webp",
"width_px": 900,
"height_px": 1125,
"is_generated": false,
"created_timestamp": "2026-09-06T12:00:00Z"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"cta": true,
"next_action": "<string>",
"current_plan": "<string>",
"user_message": "<string>",
"extra_context": "<string>"
}Legacy API
Upload an image
Upload a JPEG, PNG, or WebP photo and use its returned ID in a creation request.
POST
/
images
Upload an image
This is a legacy endpoint for existing integrations. New integrations should use the public v1 API.
Upload each source photo once and keep the returned
id. It is ready to use in your creation request; there is no generation to wait for at this step.
General uploads allow up to 15 MiB. A video-last-frame upload allows up to 10 MiB and must meet the video frame requirements.Authorizations
Create an API key in Studio → account menu → API Keys. Keep it on your server.
Body
multipart/form-data
Response
Upload a JPEG, PNG, or WebP file. General uploads allow up to 15 MiB; video-last-frame allows 10 MiB. Use the returned id in later requests.
Resource ID.
Job state. Only completed has a finished result.
Available options:
pending, generating, completed, failed, policy_blocked, nsfw_filtered Result URL. Can be null while the job is pending.
Whether the upload is a reusable asset reference.
Operation that created this job.
Human-readable failure detail.
Machine-readable failure category, when available.
Available options:
input_rejected, provider_unavailable, queue_timeout, policy_blocked Linked reusable assets.
Resource ID.
Related versions. May be omitted or empty. Never infer a new version is completed from the parent status.
Show child attributes
Show child attributes